Bug 1257485 - SIPE-285: Lync connections no longer work at all (RC4 cipher disabled by MS)
SIPE-285: Lync connections no longer work at all (RC4 cipher disabled by MS)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pidgin-sipe (Show other bugs)
22
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Stefan Becker
Fedora Extras Quality Assurance
https://sourceforge.net/p/sipe/bugs/285/
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 03:58 EDT by Jani Karlsson
Modified: 2015-10-20 01:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.20.0-1.el5 pidgin-sipe-1.20.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 01:53:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jani Karlsson 2015-08-27 03:58:11 EDT
Description of problem:

http://sourceforge.net/p/sipe/bugs/285/

Version-Release number of selected component (if applicable):

pidgin-sipe-1.19.1-1.fc22.x86_64
pidgin-sipe-1.19.1-1.fc23.x86_64

How reproducible:

Very

Steps to Reproduce:
1. Try to login with TLS-DSK
2. Fails

Expected results:
1. Try to login with TLS-DSK
2. Success


Additional info:
http://sourceforge.net/p/sipe/bugs/285/

Fixed is new git version
Comment 1 Stefan Becker 2015-08-27 05:06:48 EDT
Already tracked & fixed upstream. Code changes will only be available with next SIPE release.

Marking as CLOSED UPSTREAM.
Comment 2 Fedora Update System 2015-08-29 14:05:18 EDT
pidgin-sipe-1.20.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14562
Comment 3 Fedora Update System 2015-08-29 14:10:14 EDT
pidgin-sipe-1.20.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14563
Comment 4 Fedora Update System 2015-08-29 14:12:57 EDT
pidgin-sipe-1.20.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14564
Comment 5 Fedora Update System 2015-08-29 14:14:44 EDT
pidgin-sipe-1.20.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7847
Comment 6 Fedora Update System 2015-08-29 14:16:30 EDT
pidgin-sipe-1.20.0-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7848
Comment 7 Fedora Update System 2015-08-30 16:49:11 EDT
pidgin-sipe-1.20.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-sipe'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7848
Comment 8 Fedora Update System 2015-08-30 16:49:53 EDT
pidgin-sipe-1.20.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-sipe'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7847
Comment 9 Fedora Update System 2015-09-01 05:58:46 EDT
pidgin-sipe-1.20.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-sipe'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14563
Comment 10 Fedora Update System 2015-09-01 06:05:07 EDT
pidgin-sipe-1.20.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-sipe'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14562
Comment 11 Fedora Update System 2015-09-01 11:49:42 EDT
pidgin-sipe-1.20.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pidgin-sipe'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14564
Comment 12 Jani Karlsson 2015-09-02 04:31:58 EDT
Tested on F22 but for me it doesn't work at all anymore: connection reset by peer (104)

with or without NSS_SSL_CBC_RANDOM_IV=0
Comment 13 Fedora Update System 2015-09-19 14:56:04 EDT
pidgin-sipe-1.20.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-19 17:51:36 EDT
pidgin-sipe-1.20.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-19 19:20:04 EDT
pidgin-sipe-1.20.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-20 22:24:03 EDT
pidgin-sipe-1.20.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-20 23:18:45 EDT
pidgin-sipe-1.20.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-03 11:30:48 EDT
pidgin-sipe-1.20.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ca9d3baf0a
Comment 19 Fedora Update System 2015-10-05 00:20:57 EDT
pidgin-sipe-1.20.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pidgin-sipe'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ca9d3baf0a
Comment 20 Fedora Update System 2015-10-20 01:53:07 EDT
pidgin-sipe-1.20.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.